not able to update yum. gives error no 14- HTTP error 404

Issues related to applications and software problems
Post Reply
maverick10
Posts: 5
Joined: 2018/07/18 01:39:30

not able to update yum. gives error no 14- HTTP error 404

Post by maverick10 » 2018/07/20 04:30:24

i am trying install openstack on centOS 7.

I was able to install "sudo yum install -y centos-release-openstack-ocata". Then i tried to update packages on centos and it giving me above mentioned error.
I can ping internet/google.com. I am not using any proxy setting.

**************i get below message**********************

https://wiki.centos.org/yum-errors

If above article doesn't help to resolve this issue please use https://bugs.centos.org/.


One of the configured repositories failed (CentOS-7 - QEMU EV),
and yum doesn't have enough cached data to continue. At this point the only
safe thing yum can do is fail. There are a few ways to work "fix" this:

1. Contact the upstream for the repository and get them to fix the problem.

2. Reconfigure the baseurl/etc. for the repository, to point to a working
upstream. This is most often useful if you are using a newer
distribution release than is supported by the repository (and the
packages for the previous distribution release still work).

3. Run the command with the repository temporarily disabled
yum --disablerepo=centos-qemu-ev ...

4. Disable the repository permanently, so yum won't use it by default. Yum
will then just ignore the repository until you permanently enable it
again or use --enablerepo for temporary usage:

yum-config-manager --disable centos-qemu-ev
or
subscription-manager repos --disable=centos-qemu-ev

5. Configure the failing repository to be skipped, if it is unavailable.
Note that yum will try to contact the repo. when it runs most commands,
so will have to try and fail each time (and thus. yum will be be much
slower). If it is a very temporary problem though, this is often a nice
compromise:

yum-config-manager --save --setopt=centos-qemu-ev.skip_if_unavailable=true

failure: repodata/repomd.xml from centos-qemu-ev: [Errno 256] No more mirrors to try.
http://mirror.centos.org/altarch/7/virt ... repomd.xml: [Errno 14] HTTP Error 404 - Not Found



How to recover from this?

User avatar
avij
Forum Moderator
Posts: 2621
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: not able to update yum. gives error no 14- HTTP error 404

Post by avij » 2018/07/20 05:57:56

This will get fixed by running yum update --disablerepo=\* --enablerepo=base,updates. After this is done, you can yum update again.

If you had run "yum update" (without any other parameters) prior to installing centos-release-openstack-ocata you would not have had this problem. I would also suggest using centos-release-openstack-queens instead as that's newer and will be supported for a year longer than ocata.

User avatar
TrevorH
Forum Moderator
Posts: 23205
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: not able to update yum. gives error no 14- HTTP error 404

Post by TrevorH » 2018/07/20 06:15:47

What version of CentOS did you install?
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

maverick10
Posts: 5
Joined: 2018/07/18 01:39:30

Re: not able to update yum. gives error no 14- HTTP error 404

Post by maverick10 » 2018/07/20 12:25:42

TrevorH wrote:
2018/07/20 06:15:47
What version of CentOS did you install?
i am running 7.5.1804 version.

maverick10
Posts: 5
Joined: 2018/07/18 01:39:30

Re: not able to update yum. gives error no 14- HTTP error 404

Post by maverick10 » 2018/07/20 12:28:48

avij wrote:
2018/07/20 05:57:56
This will get fixed by running yum update --disablerepo=\* --enablerepo=base,updates. After this is done, you can yum update again.

If you had run "yum update" (without any other parameters) prior to installing centos-release-openstack-ocata you would not have had this problem. I would also suggest using centos-release-openstack-queens instead as that's newer and will be supported for a year longer than ocata.



did not work.

It gives error saying " could not retrieve mirrorlist . cannot find valid baseURL under for repo base/7/x86_64

User avatar
TrevorH
Forum Moderator
Posts: 23205
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: not able to update yum. gives error no 14- HTTP error 404

Post by TrevorH » 2018/07/20 13:14:04

If you installed the x86_64 version (not the 32 bit or arm or...) then you should edit /etc/yum/vars/contentdir and change it to read 'centos' (without the quotes).
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
avij
Forum Moderator
Posts: 2621
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: not able to update yum. gives error no 14- HTTP error 404

Post by avij » 2018/07/20 14:53:16

maverick10 wrote:
2018/07/20 12:28:48
avij wrote:
2018/07/20 05:57:56
This will get fixed by running yum update --disablerepo=\* --enablerepo=base,updates. After this is done, you can yum update again.

If you had run "yum update" (without any other parameters) prior to installing centos-release-openstack-ocata you would not have had this problem. I would also suggest using centos-release-openstack-queens instead as that's newer and will be supported for a year longer than ocata.
did not work.

It gives error saying " could not retrieve mirrorlist . cannot find valid baseURL under for repo base/7/x86_64
Odd, it really should work. Perhaps there is some other problem as well. Please run that yum update --disablerepo=\* --enablerepo=base,updates command again and report the full output.

maverick10
Posts: 5
Joined: 2018/07/18 01:39:30

Re: not able to update yum. gives error no 14- HTTP error 404

Post by maverick10 » 2018/07/22 01:04:36

i reinstalled it . It worked. i did yum update first and then installed open-stack.
Thanks guys.

Post Reply